body{
    background-color: var(--color-neutral-0);
    position: relative;
    z-index: 1;
}
.layout.layout-side{
    .custom-sidebar-actions{
        align-items: center;
        background-color: var(--color-neutral-0);
        border-bottom-left-radius: 30px;
        border-top-left-radius: 30px;
        cursor: pointer;
        display: flex;
        height: 90px;
        justify-content: center;
        right: 0;
        position: absolute;
        top: 100px;
        width: 40px;
        transition: 0.5s ease;
        button{
            color: var(--color-primary);
            border: none;
            background-color: transparent;
            cursor: pointer;
            transition: 0.5s ease;
            transform: rotate(180deg);
        }
        &.sidebar-is-open{
            right: var(--sidebar-width);
            button{
                transform: rotate(0deg);
            }
        }
    }
    .main{
        margin-left: var(--side-menu-closed-width);
        margin-right: 0;
        transition: 0.5s ease;
        position: relative;
        &:before{
            content: " ";
            position: fixed;
            top: 0;
            left: 0;
            height: 100%;
            width: 100%;
            background-color: var(--body-color);
            display: block;
            border-bottom-right-radius: 50px;
            border-top-right-radius: 50px;
            transition: 0.5s ease;
            z-index: -2;
        }
        &.menu-open {
            margin-left: var(--side-menu-size);
            &:before{ 
                width: calc(100% - var(--side-menu-size));
                margin-left: var(--side-menu-size);
            }
        }

        &.sidebar-open{
            margin-right: var(--sidebar-width);
            &:before{ 
                width: calc(100% - var(--sidebar-width));
            }
        }
    }
}